using MahApps.Metro.Controls.Dialogs;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WSDDBBrowser.Core;

namespace WSDDBBrowser
{
    /// <summary>
    /// PageMain.xaml 的交互逻辑
    /// </summary>
    public partial class PgMain : Page
    {
        public PgMain()
        {
            InitializeComponent();
            this.DataContext = DBViewerModel.Instance;
        }

        private void ButtonSelect_Click(object sender, RoutedEventArgs e)
        {
            PgSelect p = new PgSelect();
            p.Init();
            this.NavigationService.Navigate(p);
        }

        private void ButtonChart_Click(object sender, RoutedEventArgs e)
        {
            PgChartView p = new PgChartView();
            p.Init();
            this.NavigationService.Navigate(p);
        }

        private void ButtonExcel_Click(object sender, RoutedEventArgs e)
        {
            PgOutput p = new PgOutput();
            p.Init();
            this.NavigationService.Navigate(p);
        }
    }
}
